| Apache Ignite C++

Public Member Functions | Friends | List of all members
ignite::thin::cache::query::ScanQuery Class Reference

Scan query. More...

`#include <query_scan.h>`

## Public Member Functions
| ScanQuery ()
| Default constructor.
int32_t | GetPartition () const
| Get partition to scan. More...
void | SetPartition (int32_t partition)
| Set partition to scan. More...
int32_t | GetPageSize () const
| Get page size. More...
void | SetPageSize (int32_t resultPageSize)
| Set the size of the result page. More...
bool | IsLocal () const
| Get local flag. More...
void | SetLocal (bool localScan)
| Set local flag. More...

## Friends
class | ScanQueryRequest

## Detailed Description

Scan query.

## Member Function Documentation

## ◆ GetPageSize()

int32_t ignite::thin::cache::query::ScanQuery::GetPageSize | ( |  | ) | const
| inline

Get page size.

Returns
  Page size.

## ◆ GetPartition()

int32_t ignite::thin::cache::query::ScanQuery::GetPartition | ( |  | ) | const
| inline

Get partition to scan.

Returns
  Partition to scan.

## ◆ IsLocal()

bool ignite::thin::cache::query::ScanQuery::IsLocal | ( |  | ) | const
| inline

Get local flag.

Returns
  Local flag. If true, query will be executed only on the single connected node, so only local entries will be returned as query result. Should be used with caution because if the client connected to multiple nodes, a single node will be selected randomly.

## ◆ SetLocal()

void ignite::thin::cache::query::ScanQuery::SetLocal | ( | bool | localScan | ) |
| inline

Set local flag.

Parameters

  localScan | Local flag. If true, query will be executed only on the single connected node, so only local entries will be returned as query result. Should be used with caution because if the client connected to multiple nodes, a single node will be selected randomly.

## ◆ SetPageSize()

void ignite::thin::cache::query::ScanQuery::SetPageSize | ( | int32_t | resultPageSize | ) |
| inline

Set the size of the result page.

Parameters

  resultPageSize | Result page size.

## ◆ SetPartition()

void ignite::thin::cache::query::ScanQuery::SetPartition | ( | int32_t | partition | ) |
| inline

Set partition to scan.

Parameters

  partition | Partition to scan.

The documentation for this class was generated from the following file:

- thin-client/include/ignite/thin/cache/query/query_scan.h